package com.Kettle.makeKettle;

import org.apache.commons.io.FileUtils;
import org.pentaho.di.core.KettleEnvironment;
import org.pentaho.di.core.database.DatabaseMeta;
import org.pentaho.di.core.exception.KettleException;
import org.pentaho.di.core.plugins.PluginRegistry;
import org.pentaho.di.core.plugins.StepPluginType;
import org.pentaho.di.core.util.EnvUtil;
import org.pentaho.di.trans.Trans;
import org.pentaho.di.trans.TransHopMeta;
import org.pentaho.di.trans.TransMeta;
import org.pentaho.di.trans.step.StepMeta;
import org.pentaho.di.trans.steps.insertupdate.InsertUpdateMeta;
import org.pentaho.di.trans.steps.tableinput.TableInputMeta;

import java.io.File;
import java.io.IOException;

public class CreateMyTrans {
    public TransMeta generateMyTrans() throws KettleException, IOException {
        //环境初始化
        KettleEnvironment.init();
        EnvUtil.environmentInit();
        TransMeta transMeta = new TransMeta();
        //这里配置所有的数据连接
//        DatabaseMeta databaseMeta = new DatabaseMeta("<?xml version='1.0' encoding='UTF-8'?>" +
//                "<connection>" +
//                "<name>database_PTGL</name>" +
//                "<server>"+"10.83.249.78"+"</server>" +
//                "<type>GENERIC</type>" +
//                "<access>Native</access>" +
//                "<database>DMServer</database>" +
//                "<port>"+"32141"+"</port>" +
//                "<username>ptgl</username>" +
//                "<password>gxjh123</password>" +
//                "<attributes>" +
//                "<attribute>" +
//                "<code>CUSTOM_DRIVER_CLASS</code>" +
//                "<attribute>com.kingbase8.Driver</attribute>" +
//                "</attribute><attribute>" +
//                "<code>CUSTOM_URL</code>" +
//                "<attribute>jdbc:kingbase8://"+"10.83.249.78"+":"+"32141"+"/kingbase" + "</attribute>" +
//                "</attribute></attributes></connection>");
        //transMeta.addDatabase(databaseMeta);
        //transMeta.addStep();
        PluginRegistry registry = PluginRegistry.getInstance();
        //表输入
        String stepName = "fromTable";
        String databaseName = "";
        String sql = "select * from dual";
        TableInputMeta tableInputMeta = new TableInputMeta();
        DatabaseMeta database = transMeta.findDatabase(databaseName);
        tableInputMeta.setDatabaseMeta(database);
        tableInputMeta.setSQL(sql);
        tableInputMeta.setVariableReplacementActive(true);
        String pluginId = registry.getPluginId(StepPluginType.class, tableInputMeta);
        StepMeta inputMeta = new StepMeta(pluginId, stepName, tableInputMeta);
        inputMeta.setDraw(true);
        inputMeta.setLocation(100, 100);
        transMeta.addStep(inputMeta);
        //transMeta.
        //另一个表输出
//        Trans trans1 = new Trans(transMeta);
//        trans1.setPreview(true);
//        trans1.prepareExecution(null);
//        List<RowMetaAndData> rowMetaAndData = new ArrayList<>();
//        trans1.getSteps().stream().filter(i -> i.step.getStepname().equals("fromTable")).findFirst().ifPresent(c -> c.step.addRowListener(new RowAdapter() {
//            @Override
//            public void rowWrittenEvent(RowMetaInterface rowMeta, Object[] row) {
//                rowMetaAndData.add(new RowMetaAndData(rowMeta, row));
//            }
//        }));
//        trans1.startThreads();
//        trans1.waitUntilFinished();
//        System.out.println(rowMetaAndData);
        //做一个表输出
        String stepName2 = "toTable";
        //TODO databaseName 怎么规范???
        String databaseNameTo = "114.14";
        String tableName = "toTable";
        String schemaName = "GHJG_BASICS";
        InsertUpdateMeta insertUpdateMeta = new InsertUpdateMeta();
        String pluginId1 = registry.getPluginId(StepPluginType.class, insertUpdateMeta);
        DatabaseMeta database1 = transMeta.findDatabase(databaseNameTo);
        insertUpdateMeta.setDatabaseMeta(database1);
        insertUpdateMeta.setTableName(tableName);
        insertUpdateMeta.setSchemaName(schemaName);
        //TODO 设置用来查询的关键字???
        String[] keyLookUp = new String[10];
        String[] Stream = new String[10];
        insertUpdateMeta.setKeyLookup(keyLookUp);
        insertUpdateMeta.setKeyStream(Stream);
        //更新/插入条件
        String[] condition = new String[10];
        //需要更新的字段 TODO 怎么判断相等的??
        String[] Stream2 = new String[10];
        for (
                int i = 0;
                i < Stream2.length; i++) {
            condition[i] = "=";
            Stream2[i] = "";
        }
        insertUpdateMeta.setKeyStream2(Stream2);
        insertUpdateMeta.setKeyCondition(condition);
        //TODO 设置需要更新或者插入的关键字
        String[] updateLookUp = new String[5];
        String[] updateStream = new String[5];
        insertUpdateMeta.setUpdateLookup(updateLookUp);
        insertUpdateMeta.setUpdateStream(updateStream);
        //是否需要全部更新
        Boolean[] booleans = new Boolean[5];
        for (
                int i = 0;
                i < booleans.length; i++) {
            booleans[i] = true;
        }
        insertUpdateMeta.setUpdate(booleans);
        StepMeta stepMeta = new StepMeta(pluginId1, stepName2, insertUpdateMeta);
        transMeta.addStep(stepMeta);
        transMeta.addTransHop(new

                TransHopMeta(inputMeta, stepMeta));
        //生成xml文件用
        String xml = transMeta.getXML();
        File file = new File("D:/test.ktr");
        if (file.exists()){
            FileUtils.writeStringToFile(file,xml,"UTF-8");
        }else {
            file.createNewFile();
            FileUtils.writeStringToFile(file,xml,"UTF-8");
        }
        TransMeta transMeta1 = new TransMeta(xml);
        Trans trans = new Trans(transMeta1);
        trans.execute(null);
        trans.waitUntilFinished();
        if (trans.isFinished()){
            if (trans.getErrors() >=0) {
                //邮件发送
            }else{
                //万事大吉
            }
        }
//        Trans trans = new Trans();
//        Trans trans = new Trans(transMeta);
//        trans.execute(null);
        return transMeta;
    }
}
