package com.Kettle.schedule.BigData;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;

@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class BigDataPerMonth {
    @Value("${Kettle.INRIVERBERTH}")
    private String inRiverBerth;
    @Value("${Kettle.SEAORGANIZATION}")
    private String seaOrganization;
    @Value("${Kettle.HELPMATERIALLOCATION}")
    private String helpMaterialLocation;
    @Value("${Kettle.OVERWATERSERVER}")
    private String overWaterServer;
    @Value("${Kettle.SOCIALHELPPOWER}")
    private String socialHelpPower;
    @Value("${Kettle.DANGERBOATATITUDEPREWARNING}")
    private String dangerBoatAtitudePreWarning;
    @Value("${Kettle.GHHANGYELAW}")
    private String ghHangYeLaw;
    @Value("${Kettle.INRIVERFAIRWAYBOUY}")
    private String inRiverFairwayBouy;
    @Value("${Kettle.EMERGENCYLINKAGE}")
    private String emergencyLinkage;

    @XxlJob("BigDataJob")
    public ReturnT<String> bigDataJob(String param) {
        try {
            runTransfer(inRiverBerth);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + inRiverBerth);
        }
        try {
            runTransfer(seaOrganization);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + seaOrganization);
        }
        try {
            runTransfer(helpMaterialLocation);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + helpMaterialLocation);
        }
        try {
            runTransfer(overWaterServer);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + overWaterServer);
        }
        try {
            runTransfer(socialHelpPower);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + socialHelpPower);
        }
        try {
            runTransfer(dangerBoatAtitudePreWarning);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + dangerBoatAtitudePreWarning);
        }
        try {
            runTransfer(ghHangYeLaw);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + ghHangYeLaw);
        }
        try {
            runTransfer(inRiverBerth);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + inRiverBerth);
        }
        try {
            runTransfer(inRiverFairwayBouy);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + inRiverFairwayBouy);
        }
        try {
            runTransfer(emergencyLinkage);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + emergencyLinkage);
        }
        return ReturnT.SUCCESS;
    }
}
