package com.Kettle.schedule.DataShareEveryDay;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;

@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class DataShareEveryDayJob {
    @Value("${Kettle.DATASHAREINRIVERBERTH}")
    public String inRiverBerth;
    @Value("${Kettle.DATASHERSOCAILPOWER}")
    public String socialPower;
    @Value("${Kettle.DATASHEREMERGENCY}")
    public String emergency;
    @Value("${Kettle.DATASHARERFIDBASE}")
    public String rfidBase;
    @Value("${Kettle.DATASHARESEGMENT}")
    public String segment;
    @Value("${Kettle.DATASHARESHORELINE}")
    public String shoreLine;
    @Value("${Kettle.DATASHAREPUBLICTRAFFIC}")
    public String publicTraffic;
    @Value("${Kettle.DATASHAREWATERDEEP}")
    public String waterDeep;
    @Value("${Kettle.DATASHARESHIPLOCK}")
    private String shipLock;
    @Value("${Kettle.DATASHAREBERTHINFOOUT}")
    private String berthInfoOut;
    @Value("${Kettle.DATASHAREHPJLINEPIPE}")
    public String hpjLinePipe;
    @Value("${Kettle.DATASHARESEAINSTITUTE}")
    public String seaInstitute;
    @Value("${Kettle.DATASHAREOVERRIVERBASE}")
    public String overRiverBase;
    @Value("${Kettle.DATASHAREHPJHIGHVOLTAGE}")
    public String hpjHighVoltage;
    @Value("${Kettle.DATASHAREMARITIMESTATION}")
    public String maritimeStation;
    @Value("${Kettle.DATASHAREPROFESSIONALCLEANRE}")
    private String professionalClean;
    @Value("${Kettle.DATASHAREOUTPASSENGER}")
    private String outPassenger;
    @Value("${Kettle.DATASHAREPORTWORK}")
    private String portWork;
    @Value("${Kettle.DATASHARECHANNELSIGN}")
    private String channelSign;
    @Value("${Kettle.DATASHAREAISBASE}")
    private String aisBase;
    @Value("${Kettle.DATASHAREWATERGETTING}")
    private String waterGetting;
    @Value("${Kettle.DATASHAREHPJUNDERWATERCHANNEL}")
    private String hpjUnderWaterChannel;

    @XxlJob("DataShareEveryDay")
    public ReturnT<String> dataShareEveryDayKettle(String param){
        int i = 0;
        try {
            runTransfer(inRiverBerth);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(inRiverBerth + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(socialPower);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(socialPower + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(emergency);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(emergency + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(rfidBase);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(rfidBase + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(segment);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(segment + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(shoreLine);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(shoreLine + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(publicTraffic);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(publicTraffic + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(waterDeep);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(waterDeep + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(shipLock);
        }catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log(shipLock + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(berthInfoOut);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(berthInfoOut + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(hpjLinePipe);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(hpjLinePipe + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(seaInstitute);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(seaInstitute + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(overRiverBase);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(overRiverBase + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(hpjHighVoltage);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(hpjHighVoltage + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(maritimeStation);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(maritimeStation + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(professionalClean);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(professionalClean + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(outPassenger);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(outPassenger + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(portWork);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(portWork + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(channelSign);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(channelSign + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(aisBase);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(aisBase + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(waterGetting);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(waterGetting + "异常" + e.getMessage());
            i++;
        }
        try {
            runTransfer(hpjUnderWaterChannel);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(hpjUnderWaterChannel + "异常" + e.getMessage());
            i++;
        }
        if (i == 0){
            return ReturnT.SUCCESS;
        }else {
            return ReturnT.FAIL;
        }
    }
}
