package com.Kettle.schedule.DataShareFiveMinute;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;

@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class DataSharePollutionJob {
    @Value("${Kettle.DataShareShipPollution}")
    public String dataShareShipPollution;

    @XxlJob("dataSharePollution")
    public ReturnT<String> dataSharePollutionKettle(String param){
        try {
            runTransfer(dataShareShipPollution);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + dataShareShipPollution);
            return ReturnT.FAIL;
        }
        return ReturnT.SUCCESS;
    }

}
