package com.Kettle.schedule.EveryYear;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;

@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class EveryYearJob {
    @Value("${Kettle.YHSS}")
    private String yhss;
    @Value("${Kettle.SHYJJZLL}")
    private String shyjjzll;
    @Value("${Kettle.DLD}")
    private String dld;
    @Value("${Kettle.HSZ}")
    private String hsz;
    @Value("${Kettle.RFIDBase}")
    private String rfidBase;
    @Value("${Kettle.HSS}")
    private String hss;
    @Value("${Kettle.AISBase}")
    private String aisBase;
    @Value("${Kettle.CHANNEL}")
    private String channel;
    @Value("${Kettle.WEATHERWARNING}")
    private String weatherWarning;
//    @Value("${Kettle.SECTOR}")
//    private String sector;
    @Value("${Kettle.WEATHERUNWARNING}")
    private String weatherUnwarning;
    @Value("${Kettle.INRIVERVIDEO}")
    private String inRiverVideo;
    @Value("${Kettle.WEATHERELECTRICALTRANSMISSION}")
    private String weatherElectricalTransmission;
    @Value("${Kettle.YJWZ}")
    private String yjwz;
    @Value("${Kettle.WEATHEREXTENDUPDATE}")
    private String weatherExtendUpdate;

    @XxlJob("EveryYear")
    public ReturnT<String> everyYearKettle(String param){
        try {
            runTransfer(yhss);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + yhss);
        }
        try {
            runTransfer(shyjjzll);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + shyjjzll);
        }
        try {
            runTransfer(dld);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + dld);
        }
        try {
            runTransfer(hsz);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + hsz);
        }
        try {
            runTransfer(rfidBase);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + rfidBase);
        }
        try {
            runTransfer(hss);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + hss);
        }
        try {
            runTransfer(aisBase);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + aisBase);
        }
        try {
            runTransfer(channel);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + channel);
        }
        try {
            runTransfer(weatherWarning);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + weatherWarning);
        }
        try {
            runTransfer(weatherUnwarning);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + weatherUnwarning);
        }
        try {
            runTransfer(inRiverVideo);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + inRiverVideo);
        }
        try {
            runTransfer(weatherElectricalTransmission);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + weatherElectricalTransmission);
        }
        try {
            runTransfer(yjwz);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + yjwz);
        }
        try {
            runTransfer(weatherExtendUpdate);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + weatherExtendUpdate);
        }
        return ReturnT.SUCCESS;
    }

}
