package com.Kettle.schedule.HangYe;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;

@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class BoatDynamicDataJob {
    @Value("${Kettle.BoatDynamicData}")
    private String boatDynamicData;

    @XxlJob("BoatDynamicJob")
    public ReturnT<String> boatDynamicKettle(String param){
        try {
            runTransfer(boatDynamicData);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(boatDynamicData + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        return ReturnT.SUCCESS;
    }
}
