package com.Kettle.schedule.InOutPortDangerMonitor;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;

@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class InOutDanger {
    @Value("${Kettle.Oth05.DangerDeclareMonitor}")
    private String dangerDeclareMonitor;

    @XxlJob("dangerDeclareMonitor")
    public ReturnT<String> dangerDeclareKettle(String param) {
        try {
            runTransfer(dangerDeclareMonitor);
        } catch (Exception e) {
            e.getMessage();
            XxlJobLogger.log(dangerDeclareMonitor + "异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        return ReturnT.SUCCESS;
    }
}
