package com.Kettle.schedule.MostImportant;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;

@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class DangerJob {
    @Value("${Kettle.Oth05.DangerCargo}")
    private String dangerCargo;
    @Value("${Kettle.Oth05.DeleteBoatOver}")
    private String deleteBoatOver;
    @Value("${Kettle.Oth05.BoatMMSI}")
    private String boatMMSI;
    @Value("${Kettle.Oth05.HSCHDeclare}")
    private String hschDeclare;
    @Value("${Kettle.Oth05.Segment}")
    private String segment;
    @Value("${Kettle.Oth05.Update_Approval_Data}")
    private String updateApprovalData;
    @Value("${Kettle.Oth05.Enterprise_Basic}")
    private String enterpriseBasic;
    @Value("${Kettle.Oth05.DeleteCertnumber}")
    private String deleteCertnumber;
    @Value("${Kettle.Oth05.PortCompanyInfo}")
    private String portCompanyInfo;
    @Value("${Kettle.Oth05.DangerDeclareInPort}")
    private String dangerDeclareInPort;
    @Value("${Kettle.Oth05.TransEndingData}")
    private String transEndingData;
    @Value("${Kettle.Oth05.DangerDeclareOutPort}")
    private String dangerDeclareOutPort;
    @Value("${Kettle.Oth05.DeleteCancelDeclare}")
    private String deleteCancelDeclare;
    @Value("${Kettle.Oth05.UpdateDangerCargoCode}")
    private String updateDangerCargoCode;
    @Value("${Kettle.Oth05.UpdateChangeDeclare}")
    private String updateChangeDeclare;

    @XxlJob("mostInportantJob")
    public ReturnT<String> hangyeMostImportantKettle(String param){
        try {
            runTransfer(dangerCargo);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(dangerCargo + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(deleteBoatOver);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(deleteBoatOver + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(boatMMSI);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(boatMMSI + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(hschDeclare);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(hschDeclare + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(segment);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(segment + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(updateApprovalData);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(updateApprovalData + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(enterpriseBasic);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(enterpriseBasic + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(deleteCertnumber);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(deleteCertnumber + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(portCompanyInfo);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(portCompanyInfo + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(dangerDeclareInPort);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(dangerDeclareInPort + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(transEndingData);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(transEndingData + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(dangerDeclareOutPort);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(dangerDeclareOutPort + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(deleteCancelDeclare);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(deleteCancelDeclare + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(updateDangerCargoCode);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(updateDangerCargoCode + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        try {
            runTransfer(updateChangeDeclare);
        }catch (Exception e){
            e.printStackTrace();
            XxlJobLogger.log(updateChangeDeclare + "出现异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        return ReturnT.SUCCESS;

    }
}
