package com.Kettle.schedule.RealTimeHour;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;

//水上交通
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class SHJTJob {
    //行政处罚一般程序.ktr
    @Value("${Kettle.XZCF}")
    private String xzcf;
    //水上交通1-事故主表.ktr
    @Value("${Kettle.SHJTAccident}")
    private String shjtAccident;
    //水上交通2-其他事故.ktr
    @Value("${Kettle.SHJTOtherAccident}")
    private String shjtOtherAccident;
    //水上交通3-事故涉事方-事故方.ktr
    @Value("${Kettle.SHJTSGF}")
    private String shjtSgf;
    //水上交通4-事故扩展表.ktr
    @Value("${Kettle.SHJTSGExtend}")
    private String shjtSgExtend;
    //水上交通5-事件接报-突发事件.ktr
    @Value("${Kettle.SHJTSJTUFA}")
    private String shjtSjTuFa;
    //水上交通6-事件接报-突发事件-详情.ktr
    @Value("${Kettle.SHJTSJTUFADetail}")
    private String shjtTuFaDetail;

    @XxlJob("SHJT")
    public ReturnT<String> shjtKettle(String param){
        try {
            runTransfer(xzcf);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + xzcf);
        }
        try {
            runTransfer(shjtAccident);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() +shjtAccident);
        }
        try {
            runTransfer(shjtOtherAccident);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + shjtOtherAccident);
        }
        try {
            runTransfer(shjtSgExtend);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + shjtSgExtend);
        }
        try {
            runTransfer(shjtSjTuFa);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + shjtSjTuFa);
        }
        try {
            runTransfer(shjtTuFaDetail);
        } catch (KettleException e) {
            e.printStackTrace();
            XxlJobLogger.log(e.getMessage() + shjtTuFaDetail);
        }
        return ReturnT.SUCCESS;
    }
}
